---
title: 'SyntaxError: missing = in const declaration'
slug: Web/JavaScript/Reference/Errors/Missing_initializer_in_const
tags:
  - Error
  - JavaScript
  - SyntaxError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "missing = in const declaration" occurs when a const declaration was not given a value in the same statement (like <code>const RED_FLAG;</code>). You need to provide one (<code>const RED_FLAG = '#ff0'</code>).</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">SyntaxError: Const must be initalized (Edge)
SyntaxError: missing = in const declaration (Firefox)
SyntaxError: Missing initializer in const declaration (Chrome)
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>A constant is a value that cannot be altered by the program during normal execution. It cannot change through re-assignment, and it can't be redeclared. In JavaScript, constants are declared using the <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/const">const</a></code> keyword. An initializer for a constant is required; that is, you must specify its value in the same statement in which it's declared (which makes sense, given that it can't be changed later).</p>

<h2 id="Examples">Examples</h2>

<h3 id="Missing_const_initializer">Missing const initializer</h3>

<p>Unlike <code>var</code> or <code>let</code>, you must specify a value for a <code>const</code> declaration. This throws:</p>

<pre class="brush: js example-bad">const COLUMNS;
// SyntaxError: missing = in const declaration</pre>

<h3 id="Fixing_the_error">Fixing the error</h3>

<p>There are multiple options to fix this error. Check what was intended to be achieved with the constant in question.</p>

<h4 id="Adding_a_constant_value">Adding a constant value</h4>

<p>Specify the constant value in the same statement in which it's declared:</p>

<pre class="brush: js example-good">const COLUMNS = 80;</pre>

<h4 id="const_let_or_var"><code>const</code>, <code>let</code> or <code>var</code>?</h4>

<p>Do not use <code>const</code> if you weren't meaning to declare a constant. Maybe you meant to declare a block-scoped variable with <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/let">let</a></code> or global variable with <code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/var">var</a></code>. Both don't require an initial value.</p>

<pre class="brush: js example-good">let columns;
</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/const">const</a></code></li>
 <li><code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/let">let</a></code></li>
 <li><code><a href="/en-US/docs/Web/JavaScript/Reference/Statements/var">var</a></code></li>
</ul>
